Language    = Printv2
            Scanner = {
                "Digit Token"
                digit -> "0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9"
		    ;
                "Number Token"
                NUMBER -> digit moreDigits
		    ;
		"Zero or more digits token"
		moreDigits -> digit moreDigits
		    |
		    ;
		"Characacter Token"
		char -> "a" | "b" | "c" | "d" | "e" | "f" | "g" | "h" | "i" | "j" | "k" | "l" | "m" | "n" | "" |
			  "o" | "p" | "q" | "r" | "s" | "t" | "u" | "w" | "x" | "y" | "z" | "" | "" | "" | "" | "" |
			  "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "" |
			  "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "W" | "X" | "Y" | "Z" | "" | "" | "" | "" | "" |
			  "_" | " " | "," | "." | ":" | ";" | "-" | "" | "!" | "" | "?" 
			;
		"String Token"
		STRING -> "'" char moreChars "'"
		    ;
		"Zero or more characters"
		moreChars -> char moreChars
		    |
		    ;
		"PRINT Key Word"
		PRINT -> "PRINT"
		    ;
		"SEMICOLON Token"
		SEMICOLON -> ";"
		    ;
                }
            Parser = {
                "Initial Free-Context Rule"
                S -> statement moreStatements SEMICOLON <#
nodes[1].execute()
nodes[2].execute()
#>
			;

	"Zero or more Statements"
		moreStatements -> SEMICOLON statement moreStatements <#
nodes[2].execute()
nodes[3].execute()
#>
			|
			;
                "Statement Rule"
		statement -> printStatement <#
nodes[1].execute()
#>
			;
		   "Print Statement"
		   printStatement -> PRINT NUMBER <#
write( "Integer constant: "+nodes[2].text+".\n")
#>    
				| PRINT STRING <#
write( "String constant: "+nodes[2].text+".\n")
#>    
                   ;
                }
            Skip={  "\t";  "\n";}
            NotSkip = {  " "; }
