Language    = Print
            Scanner = {
                "Digit Token"
                digit -> "0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9"
		    ;
                "Number Token"
                NUMBER -> digit moreDigits
		    ;
		"Zero or more digits token"
		moreDigits -> digit moreDigits
		    |
		    ;
		"PRINT Key Word"
		PRINT -> "PRINT"
		    ;
		"SEMICOLON Token"
		SEMICOLON -> ";"
		    ;
                }
            Parser = {
                "Initial Free-Context Rule"
                S -> statement moreStatements SEMICOLON <#
nodes[1].execute()
nodes[2].execute()
#>
			;

	"Zero or more Statements"
		moreStatements -> SEMICOLON statement moreStatements <#
nodes[2].execute()
nodes[3].execute()
#>
			|
			;
                "Statement Rule"
		statement -> _REIFY_ <#
nodes[1].execute()
#>
			| printStatement <#
nodes[1].execute()
#>
			;
		   "Print Statement"
		   printStatement -> PRINT NUMBER <#
write( "Integer constant: "+nodes[2].text+".\n")
#>    
                   ;
                }
            Skip={  "\t";  "\n";}
            NotSkip = {  " "; }
